/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Jack
 */
public class ChatEngine {
    
    private int id = 0;
    private List<ChatMessage> chatMessageList = new ArrayList<ChatMessage>();
    
    public void addMessage(String message) {
        chatMessageList.add(new ChatMessage(message));
        if (chatMessageList.size() > 50) {
            chatMessageList.remove(0);
        }
    }
    
    public int getId() {
        return id;
    }
    
    public int getNextId() {
        int output = id;
        id += 1;
        return output;
    }
    
    public List<String> getMessages(int minimumId) {
        List<String> output = new ArrayList<String>();
        int index = 0;
        while (index < chatMessageList.size()) {
            ChatMessage tempChatMessage = chatMessageList.get(index);
            if (tempChatMessage.getId() >= minimumId) {
                output.add(tempChatMessage.getMessage());
            }
            index += 1;
        }
        return output;
    }
    
    
}
