/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.BlockTypeQuantityPair;
import com.mycompany.ostracraft.InventoryItem;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.World;
import com.mycompany.ostracraft.entities.Entity;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Jack
 */
public abstract class Armor extends AbstractBlock {
    
    public abstract int getDurability();
    
    public abstract double getDefense();
    
    @Override
    public boolean getIsPhantom(Entity entity) {
        return true;
    }
    
    @Override
    public boolean getEmitsLight() {
        return false;
    }
    
    @Override
    public boolean canMineBlock(InventoryItem inventoryItem) {
        return true;
    }
    
    @Override
    public List<BlockTypeQuantityPair> getProducts(Pos pos, InventoryItem inventoryItem) {
        int tempBlockData = App.world.getBlockData(pos, World.ChunkGenerationMode.GENERATE_ENABLED);
        List<BlockTypeQuantityPair> output = new ArrayList<BlockTypeQuantityPair>();
        output.add(new BlockTypeQuantityPair(this, tempBlockData, 1));
        return output;
    }
    
    @Override
    public boolean isStackable() {
        return false;
    }
    
    @Override
    public void randomTick(Pos pos) {
        // Do nothing.
    }
}
