/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import com.mycompany.ostracraft.InventoryItem;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.entities.Entity;

/**
 *
 * @author Jack
 */
public class Bedrock extends AbstractBlock {
    
    public static BlockType blockType = new Bedrock();
    
    public int getId() {
        return 10;
    }
    
    @Override
    public boolean getIsPhantom(Entity entity) {
        return false;
    }
    
    @Override
    public double getBaseMiningTime() {
        return 60.0;
    }
    
    @Override
    public boolean canMineBlock(InventoryItem inventoryItem) {
        if (inventoryItem == null) {
            return false;
        }
        BlockType tempBlockType = inventoryItem.getBlockType();
        int tempBlockData = inventoryItem.getBlockData();
        boolean tempResult = !tempBlockType.shouldRemoveFromInventory(tempBlockData + 499);
        return (tempResult && inventoryItem.getBlockId() == DiamondTool.blockType.getId());
    }
    
    @Override
    public boolean damageInventoryItem(InventoryItem inventoryItem) {
        if (inventoryItem != null) {
            if (inventoryItem.getBlockType() instanceof Tool) {
                inventoryItem.setBlockData(inventoryItem.getBlockData() + 500);
                return true;
            }
        }
        return false;
    }
    
    @Override
    public void respondToExplosion(Pos pos) {
        // Do nothing.
    }
}
