/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import com.mycompany.ostracraft.BlockTypeQuantityPair;
import com.mycompany.ostracraft.InventoryItem;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.entities.Entity;
import java.util.List;

/**
 *
 * @author Jack
 */
public interface BlockType {
    
    int getId();
    
    boolean getIsPhantom(Entity entity);
    
    boolean getEmitsLight();
    
    double getBaseMiningTime();
    
    double getMiningTime(BlockType blockType);
    
    boolean canMineBlock(InventoryItem inventoryItem);
    
    List<BlockTypeQuantityPair> getProducts(Pos pos, InventoryItem inventoryItem);
    
    boolean damageInventoryItem(InventoryItem inventoryItem);
    
    boolean shouldRemoveFromInventory(int blockData);
    
    boolean isStackable();
    
    void interact(Pos pos);
    
    void performSpawnAction(Pos pos);
    
    void respondToExplosion(Pos pos);
    
    void randomTick(Pos pos);
    
}
