/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.BlockTypeQuantityPair;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.entities.BulletEntity;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Jack
 */
public class Gun extends FirableBlock {
    
    public static BlockType blockType = new Gun();
    private static BlockTypeQuantityPair[] firingIngredients = {
        new BlockTypeQuantityPair(CoalPowder.blockType, 1),
        new BlockTypeQuantityPair(Bullet.blockType, 1)
    };
    
    public int getId() {
        return 34;
    }
    
    @Override
    public boolean shouldRemoveFromInventory(int blockData) {
        return (blockData >= 300);
    }

    @Override
    public BlockTypeQuantityPair[] getFiringIngredients() {
        return firingIngredients;
    }
    
    @Override
    public void fire(Pos pos, Pos offset) {
        Pos tempPos = pos.copy();
        tempPos.add(offset);
        App.world.addEntity(new BulletEntity(tempPos, offset));
    }
    
}
