/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import com.mycompany.ostracraft.BlockTypeQuantityPair;
import com.mycompany.ostracraft.InventoryItem;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.entities.Entity;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Jack
 */
public class MinedStone extends AbstractBlock {
    
    public static BlockType blockType = new MinedStone();
    
    public int getId() {
        return 36;
    }
    
    @Override
    public boolean getIsPhantom(Entity entity) {
        return false;
    }
    
    @Override
    public double getBaseMiningTime() {
        return 5.0;
    }
    
    @Override
    public List<BlockTypeQuantityPair> getProducts(Pos pos, InventoryItem inventoryItem) {
        List<BlockTypeQuantityPair> output = new ArrayList<BlockTypeQuantityPair>();
        if (inventoryItem == null) {
            return output;
        }
        if (!(inventoryItem.getBlockType() instanceof Tool)) {
            return output;
        }
        output.add(new BlockTypeQuantityPair(MinedStone.blockType, 1));
        return output;
    }
    
}
