/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.BlockTypeQuantityPair;
import com.mycompany.ostracraft.InventoryItem;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.World;
import java.util.ArrayList;
import java.util.List;
import java.util.Random;

/**
 *
 * @author Jack
 */
public class Sapling extends AbstractBlock {
    
    public static BlockType blockType = new Sapling();
    
    private static Random random = new Random();
    
    public int getId() {
        return 5;
    }
    
    @Override
    public void randomTick(Pos pos) {
        Pos tempPos = pos.copy();
        if (!App.world.getIsLightOrAboveGround(tempPos, World.ChunkGenerationMode.DONT_GENERATE)) {
            App.world.setBlockType(pos, Air.blockType, World.ChunkGenerationMode.DONT_GENERATE);
            return;
        }
        tempPos.setZ(tempPos.getZ() - 1);
        BlockType tempBlockType = App.world.getBlockType(tempPos, World.ChunkGenerationMode.DONT_GENERATE);
        if (tempBlockType != null) {
            if (tempBlockType.getId() != Dirt.blockType.getId()
                    && tempBlockType.getId() != Grass.blockType.getId()
                    && tempBlockType.getId() != LoadingBlock.blockType.getId()) {
                App.world.setBlockType(pos, Air.blockType, World.ChunkGenerationMode.DONT_GENERATE);
                return;
            }
        }
        int tempData = App.world.getBlockData(pos, World.ChunkGenerationMode.DONT_GENERATE);
        tempData += 1;
        if (tempData > 80) {
            App.world.setBlockType(pos, Tree.blockType, World.ChunkGenerationMode.DONT_GENERATE);
            return;
        } else {
            App.world.setBlockData(pos, tempData, World.ChunkGenerationMode.DONT_GENERATE);
        }
    }
    
}
