/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.entities;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.Pos;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Jack
 */
public class AngryFace extends FallingEntity {
    
    private static int visibilityRange = 8;
    
    private int walkDelay = 0;
    
    public AngryFace(Pos pos) {
        super(pos);
    }
    
    @Override
    public int getTypeId() {
        return 4;
    }
    
    @Override
    public void tick() {
        super.tick();
        
        if (walkDelay <= 0) {
            Pos tempPos = getPos().copy();
            tempPos.setX(tempPos.getX() - visibilityRange);
            tempPos.setY(tempPos.getY() - visibilityRange);
            List<Entity> tempEntityList = (List<Entity>)(List<?>)App.world.getPlayersInRegion(tempPos, visibilityRange * 2 + 1, 1);
            if (tempEntityList.size() > 0) {
                Entity tempEntity = getClosestEntity(tempEntityList);
                walkTowardPos(tempEntity.getPos(), 1);
            } else {
                if (getRandom().nextInt(4) == 1) {
                    walkRandomly();
                }
            }
            walkDelay = 3;
        } else {
            walkDelay -= 1;
        }
        
        attackNeighborPlayers();
    }
    
}
