/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.World;
import signals.ElectronicSignal;

/**
 *
 * @author Jack
 */
public class CoalPowder extends ElectronicBlock {
    
    public static BlockType blockType = new CoalPowder();
    
    public int getId() {
        return 46;
    }
    
    @Override
    public boolean getElectronicValue(Pos pos) {
        return false;
    }

    @Override
    public boolean canAcceptChannel(Pos pos) {
        return true;
    }

    @Override
    public boolean canAcceptInput(Pos pos) {
        return false;
    }

    @Override
    public boolean canAcceptOutput(Pos pos) {
        return true;
    }
    
    @Override
    public boolean canAcceptModule(Pos pos) {
        return false;
    }
    
    @Override
    public void processSignal(ElectronicSignal signal) {
        if (signal.getValue()) {
            explode(signal.getPos());
        }
    }
    
    private void explode(Pos pos) {
        App.world.setBlockType(pos, Air.blockType, World.ChunkGenerationMode.DONT_GENERATE);
        App.world.generateExplosion(pos, 2);
    }
    
    @Override
    public void respondToExplosion(Pos pos) {
        explode(pos);
    }
    
}
