/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.World;
import com.mycompany.ostracraft.entities.Entity;
import java.util.Random;

/**
 *
 * @author Jack
 */
public class Dirt extends AbstractBlock {
    
    public static BlockType blockType = new Dirt();
    
    private static Random random = new Random();
    
    public int getId() {
        return 3;
    }
    
    @Override
    public boolean getIsPhantom(Entity entity) {
        return false;
    }

    @Override
    public void randomTick(Pos pos) {
        if (random.nextInt(10) == 1) {
            Pos tempPos = pos.copy();
            tempPos.setZ(tempPos.getZ() + 1);
            boolean tempLighting = App.world.getIsLightOrAboveGround(tempPos, World.ChunkGenerationMode.DONT_GENERATE);
            if (!tempLighting) {
                return;
            }
            BlockType tempBlockType = App.world.getBlockType(tempPos, World.ChunkGenerationMode.DONT_GENERATE);
            if (tempBlockType != null) {
                if (tempBlockType.getIsPhantom(null)) {
                    int tempOffsetZ = -1;
                    while (tempOffsetZ <= 1) {
                        tempPos = pos.copy();
                        tempPos.setZ(tempPos.getZ() + tempOffsetZ);
                        Pos tempPos2 = new Pos(0, 0, 0);
                        tempPos2.set(tempPos);
                        tempPos2.setX(tempPos2.getX() - 1);
                        tempBlockType = App.world.getBlockType(tempPos2, World.ChunkGenerationMode.DONT_GENERATE);
                        if (tempBlockType != null) {
                            if (tempBlockType.getId() == Grass.blockType.getId()) {
                                App.world.setBlockType(pos, Grass.blockType, World.ChunkGenerationMode.DONT_GENERATE);
                                break;
                            }
                        }
                        tempPos2.set(tempPos);
                        tempPos2.setX(tempPos2.getX() + 1);
                        tempBlockType = App.world.getBlockType(tempPos2, World.ChunkGenerationMode.DONT_GENERATE);
                        if (tempBlockType != null) {
                            if (tempBlockType.getId() == Grass.blockType.getId()) {
                                App.world.setBlockType(pos, Grass.blockType, World.ChunkGenerationMode.DONT_GENERATE);
                                break;
                            }
                        }
                        tempPos2.set(tempPos);
                        tempPos2.setY(tempPos2.getY() - 1);
                        tempBlockType = App.world.getBlockType(tempPos2, World.ChunkGenerationMode.DONT_GENERATE);
                        if (tempBlockType.getId() == Grass.blockType.getId()) {
                            App.world.setBlockType(pos, Grass.blockType, World.ChunkGenerationMode.DONT_GENERATE);
                            break;
                        }
                        tempPos2.set(tempPos);
                        tempPos2.setY(tempPos2.getY() + 1);
                        tempBlockType = App.world.getBlockType(tempPos2, World.ChunkGenerationMode.DONT_GENERATE);
                        if (tempBlockType != null) {
                            if (tempBlockType.getId() == Grass.blockType.getId()) {
                                App.world.setBlockType(pos, Grass.blockType, World.ChunkGenerationMode.DONT_GENERATE);
                                break;
                            }
                        }
                        tempOffsetZ += 1;
                    }
                }
            }
        }
    }
    
}
