/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.World;
import signals.ElectronicSignal;

/**
 *
 * @author Jack
 */
public class FlipFlop extends ElectronicModule {

    public static BlockType blockType = new FlipFlop();
    
    public int getId() {
        return 39;
    }
    
    @Override
    public boolean getElectronicValue(Pos pos) {
        return false;
    }

    @Override
    public void processSignal(ElectronicSignal signal) {
        if (signal.getValue()) {
        	Pos tempPos = signal.getPos();
            ElectronicSignal.ElectronicMessage tempMessage = signal.getMessage();
            if (tempMessage == ElectronicSignal.ElectronicMessage.SET) {
                App.world.setBlockType(tempPos, FlipFlopActive.blockType, World.ChunkGenerationMode.DONT_GENERATE);
                signal.propogateModule(true);
            }
            if (tempMessage == ElectronicSignal.ElectronicMessage.TOGGLE) {
            	if (shouldToggle(tempPos)) {
            		App.world.setBlockType(tempPos, FlipFlopActive.blockType, World.ChunkGenerationMode.DONT_GENERATE);
            		signal.propogateModule(true);
            	}
            }
            if (tempMessage == ElectronicSignal.ElectronicMessage.CLOCK) {
                if (getDataInputValue(signal.getPos())) {
                    App.world.setBlockType(tempPos, FlipFlopActive.blockType, World.ChunkGenerationMode.DONT_GENERATE);
                    signal.propogateModule(true);
                }
            }
        }
    }
    
}
