/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import java.util.ArrayList;
import java.util.List;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.BlockTypeQuantityPair;
import com.mycompany.ostracraft.InventoryItem;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.World;
import signals.ElectronicSignal;

/**
 *
 * @author Jack
 */
public class FlipFlopActive extends ElectronicModule {
    
    public static BlockType blockType = new FlipFlopActive();
    
    public int getId() {
        return 40;
    }
    
    @Override
    public List<BlockTypeQuantityPair> getProducts(Pos pos, InventoryItem inventoryItem) {
        List<BlockTypeQuantityPair> output = new ArrayList<BlockTypeQuantityPair>();
        output.add(new BlockTypeQuantityPair(FlipFlop.blockType, 1));
        return output;
    }
    
    @Override
    public boolean getElectronicValue(Pos pos) {
        return false;
    }

    @Override
    public void processSignal(ElectronicSignal signal) {
        if (signal.getValue()) {
        	Pos tempPos = signal.getPos();
            ElectronicSignal.ElectronicMessage tempMessage = signal.getMessage();
            if (tempMessage == ElectronicSignal.ElectronicMessage.RESET) {
                App.world.setBlockType(tempPos, FlipFlop.blockType, World.ChunkGenerationMode.DONT_GENERATE);
                signal.propogateModule(false);
            }
            if (tempMessage == ElectronicSignal.ElectronicMessage.TOGGLE) {
            	if (shouldToggle(tempPos)) {
            		App.world.setBlockType(tempPos, FlipFlop.blockType, World.ChunkGenerationMode.DONT_GENERATE);
                    signal.propogateModule(false);
            	}
            }
            if (tempMessage == ElectronicSignal.ElectronicMessage.CLOCK) {
                if (!getDataInputValue(signal.getPos())) {
                    App.world.setBlockType(tempPos, FlipFlop.blockType, World.ChunkGenerationMode.DONT_GENERATE);
                    signal.propogateModule(false);
                }
            }
        }
    }
    
}
