/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import com.mycompany.ostracraft.Pos;
import signals.ElectronicSignal;

/**
 *
 * @author Jack
 */
public class InvertingOutput extends ElectronicOutput {
    
    public static BlockType blockType = new InvertingOutput();
    
    public int getId() {
        return 29;
    }
    
    @Override
    public boolean getElectronicValue(Pos pos) {
        boolean output = super.getElectronicValue(pos);
        return !output;
    }
    
    @Override
    public void processSignal(ElectronicSignal signal) {
        boolean tempValue = !signal.getValue();
        signal.propogateOutput(tempValue);
    }
    
}
