/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import java.util.ArrayList;
import java.util.List;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.BlockTypeQuantityPair;
import com.mycompany.ostracraft.InventoryItem;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.World;
import signals.ElectronicSignal;

/**
 *
 * @author Jack
 */
public class LedActive extends ElectronicBlock {
    
    public static BlockType blockType = new LedActive();
    
    public int getId() {
        return 33;
    }
    
    @Override
    public List<BlockTypeQuantityPair> getProducts(Pos pos, InventoryItem inventoryItem) {
        List<BlockTypeQuantityPair> output = new ArrayList<BlockTypeQuantityPair>();
        output.add(new BlockTypeQuantityPair(Led.blockType, 1));
        return output;
    }
    
    @Override
    public boolean getElectronicValue(Pos pos) {
        return false;
    }

    @Override
    public boolean canAcceptChannel(Pos pos) {
        return true;
    }

    @Override
    public boolean canAcceptInput(Pos pos) {
        return false;
    }

    @Override
    public boolean canAcceptOutput(Pos pos) {
        return true;
    }
    
    @Override
    public boolean canAcceptModule(Pos pos) {
        return false;
    }
    
    @Override
    public void processSignal(ElectronicSignal signal) {
        if (!signal.getValue()) {
            App.world.setBlockType(signal.getPos(), Led.blockType, World.ChunkGenerationMode.DONT_GENERATE);
        }
    }
    
}
