/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.World;
import signals.ElectronicSignal;

/**
 *
 * @author Jack
 */
public class OrInput extends ElectronicInput {
    
    public static BlockType blockType = new OrInput();
    
    public int getId() {
        return 26;
    }
    
    @Override
    public boolean getElectronicValue(Pos pos) {
        Pos tempPos = new Pos(0, 0, 0);
        int index = 0;
        while (index < World.electronicSignalOffsetSet.length) {
            tempPos.set(pos);
            Pos tempOffset = World.electronicSignalOffsetSet[index];
            tempPos.add(tempOffset);
            BlockType tempBlockType = App.world.getBlockType(tempPos, World.ChunkGenerationMode.DONT_GENERATE);
            if (tempBlockType instanceof ElectronicChannel) {
                ElectronicChannel tempElectronicChannel = (ElectronicChannel)tempBlockType;
                if (tempElectronicChannel.getElectronicValue(tempPos)) {
                    return true;
                }
            }
            index += 1;
        }
        return false;
    }
    
}
