/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.World;
import signals.ElectronicSignal;

/**
 *
 * @author Jack
 */
public class Wire extends ElectronicChannel {
    
    public static BlockType blockType = new Wire();
    
    public int getId() {
        return 24;
    }
    
    @Override
    public boolean getElectronicValue(Pos pos) {
        return false;
    }

    @Override
    public boolean canAcceptChannel(Pos pos) {
        return true;
    }

    @Override
    public boolean canAcceptInput(Pos pos) {
        return false;
    }

    @Override
    public boolean canAcceptOutput(Pos pos) {
        return true;
    }
    
    @Override
    public void processSignal(ElectronicSignal signal) {
        boolean tempValue = signal.getValue();
        if (tempValue) {
            App.world.setBlockType(signal.getPos(), WireActive.blockType, World.ChunkGenerationMode.DONT_GENERATE);
            signal.propogateChannel(tempValue);
        }
    }
    
}
