/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.blocks;

import java.util.ArrayList;
import java.util.List;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.BlockTypeQuantityPair;
import com.mycompany.ostracraft.InventoryItem;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.World;
import signals.ElectronicSignal;

/**
 *
 * @author Jack
 */
public class WireActive extends ElectronicChannel {
    
    public static BlockType blockType = new WireActive();
    
    public int getId() {
        return 25;
    }
    
    @Override
    public List<BlockTypeQuantityPair> getProducts(Pos pos, InventoryItem inventoryItem) {
        List<BlockTypeQuantityPair> output = new ArrayList<BlockTypeQuantityPair>();
        output.add(new BlockTypeQuantityPair(Wire.blockType, 1));
        return output;
    }
    
    @Override
    public boolean getElectronicValue(Pos pos) {
        return true;
    }

    @Override
    public boolean canAcceptChannel(Pos pos) {
        return true;
    }

    @Override
    public boolean canAcceptInput(Pos pos) {
        return false;
    }

    @Override
    public boolean canAcceptOutput(Pos pos) {
        return true;
    }
    
    @Override
    public void processSignal(ElectronicSignal signal) {
        boolean tempValue = signal.getValue();
        if (!tempValue) {
            App.world.setBlockType(signal.getPos(), Wire.blockType, World.ChunkGenerationMode.DONT_GENERATE);
            signal.propogateChannel(tempValue);
        }
    }
    
}
