/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.entities;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.Pos;
import com.mycompany.ostracraft.World;
import com.mycompany.ostracraft.blocks.BlockType;

/**
 *
 * @author Jack
 */
public class BulletEntity extends Entity {

    Pos offset;
    int age;
    
    public BulletEntity(Pos pos, Pos offset) {
        super(pos);
        this.offset = offset;
        this.age = 0;
    }
    
    @Override
    public int getTypeId() {
        return 9;
    }
    
    @Override
    public void tick() {
        super.tick();
        Pos tempPos = getPos().copy();
        BlockType tempBlockType = App.world.getBlockType(tempPos, World.ChunkGenerationMode.DONT_GENERATE);
        if (!tempBlockType.getIsPhantom(this)) {
            die(null);
            return;
        }
        tempPos.add(offset);
        Entity tempEntity = App.world.getEntity(tempPos);
        if (tempEntity != null) {
            tempEntity.damage(20.0, this);
            die(null);
            return;
        }
        boolean tempResult = move(offset);
        if (!tempResult) {
            die(null);
            return;
        }
        age += 1;
        if (age > 60) {
            die(null);
            return;
        }
    }
    
}
