/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.entities;

import com.mycompany.ostracraft.App;
import com.mycompany.ostracraft.Pos;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Jack
 */
public class SpikyFace extends FallingEntity {
    
    private static int visibilityRange = 8;
    
    public SpikyFace(Pos pos) {
        super(pos);
    }
    
    @Override
    public int getTypeId() {
        return 6;
    }
    
    @Override
    public void tick() {
        super.tick();
        
        Pos tempPos = getPos().copy();
        tempPos.setX(tempPos.getX() - visibilityRange);
        tempPos.setY(tempPos.getY() - visibilityRange);
        List<Entity> tempEntityList = (List<Entity>)(List<?>)App.world.getPlayersInRegion(tempPos, visibilityRange * 2 + 1, 1);
        List<Entity> tempEntityList2 = new ArrayList<Entity>();
        int index = 0;
        while (index < tempEntityList.size()) {
            Entity tempEntity = tempEntityList.get(index);
            Pos tempPos2 = tempEntity.getPos();
            if (tempPos2.getX() == getPos().getX() || tempPos2.getY() == getPos().getY()) {
                tempEntityList2.add(tempEntity);
            }
            index += 1;
        }
        if (tempEntityList2.size() > 0) {
            Entity tempEntity = getClosestEntity(tempEntityList2);
            walkTowardPos(tempEntity.getPos(), 1);
        }
        
        attackNeighborPlayers();
    }
}
