/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.routes;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.RandomAccessFile;
import spark.Request;
import spark.Response;
import spark.Route;

/**
 *
 * @author Jack
 */
public class ImageRoute implements Route {
    
    private String path;
    private byte[] contents;
    
    public ImageRoute(String path) {
        
        this.path = path;
        
        StringBuilder tempBuilder = new StringBuilder();

        try {
            RandomAccessFile tempFile = new RandomAccessFile(path, "r");
            
            int tempLength = (int)tempFile.length();
            
            contents = new byte[tempLength];
            
            tempFile.read(contents, 0, tempLength);
            
            tempFile.close();         
        }
        catch(FileNotFoundException ex) {
            System.out.println("Unable to open file \"" + path + "\".");                
        }
        catch(IOException ex) {
            System.out.println("Error reading file \"" + path + "\".");
        }
    }
    
    public Object handle(Request request, Response response) {
        return contents;
    }
    
}
