/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ostracraft.routes;

import com.mycompany.ostracraft.Account;
import com.mycompany.ostracraft.AccountDatabase;
import com.mycompany.ostracraft.App;
import spark.Request;
import spark.Response;
import spark.Route;

/**
 *
 * @author Jack
 */
public class LoginRoute implements Route {
    
    private static String errorMessage1 = "Username or password is incorrect.";
    
    public Object handle(Request request, Response response) {
        synchronized (App.world) {
            String tempName = request.queryParams("name");
            Account tempAccount = AccountDatabase.database.getAccountByName(tempName);
            if (tempAccount == null) {
                return errorMessage1;
            }
            String tempPasswordHash = request.queryParams("passwordHash");
            if (!tempPasswordHash.equals(tempAccount.getPasswordHash())) {
                return errorMessage1;
            }
            request.session().attribute("accountId", tempAccount.getId());
            return "1";
        }
    }
    
}
